﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS2xx (1 yr) DCV /5800
INSTRUMENT:            Sub TDS2xx (1 yr) Bandwidth /5800
INSTRUMENT:            Sub TDS2xx (1 yr) Timebase /5800
INSTRUMENT:            Sub TDS2xx (1 yr) Trigger /5800
INSTRUMENT:            Sub TDS2xx (1 yr) Ext Trig /5800
DATE:                  2017-01-27 11:26:14
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 17920 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       16
NUMBER OF LINES:       259
CONFIGURATION:         Fluke 5800A
=============================================================================
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DCV                          PSUB("DCV")
  1.002  JMPL         BANDWIDTH                    PSUB("Bandwidth")
  1.003  JMPL         TIMEBASE                     PSUB("Timebase")
  1.004  JMPL         TRIGGER                      PSUB("Trigger")
  1.005  JMPL         EXT_TRIG                     PSUB("Ext Trig")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) DCV /5800  ========================================

  2.001  LABEL        DCV
  2.002  RSLT         =
  2.003  HEAD         DC VOLTAGE MEASURMENT ACCURACY: Channel [M100]
  2.004  RSLT         =DC VOLTAGE MEASURMENT ACCURACY: Channel [M100]
  2.005  TARGET
  2.006  DISP         Press SAVE/RECALL->Recall Factory
  2.007  JMPL         CONTINUE_DC  M[100] == 1
  2.008  DISP         Press CH 1 twice to turn off channel 1.

  2.009  LABEL        CONTINUE_DC
  2.010  DISP         Press CH [M100].
  2.010  DISP         Set probe to 1X.
  2.011  DISP         Press MEASURE.
  2.011  DISP         Set Source to CH[M100].
  2.011  DISP         Set Type to Mean.
  2.012  DISP         Set CH[M100] VOLTS/DIV to 5mV.
  2.013  5800         17.5mV                                         S6 S
  2.014  MEMI         Enter CH[M100] Mean in millivolts.
# Store positive reading.
  2.015  MATH         M[1] = MEM
  2.016  5800         -17.5mV                                        S6 S
  2.017  MEMI         Enter CH[M100] Mean in millivolts.
# Store negative reading.
  2.018  MATH         M[2] = MEM
# 5800A 90dy spec at 17.5mV is 29.375uV.  Value is RSS'd for sys. tol.
  2.019  ACC          35.0mV         0.041543U
  2.020  MATH         MEM = M[1] - M[2]
  2.021  MEMCX        35.0mV         1.2U

  3.001  DISP         Set CH[M100] VOLTS/DIV to 200mV.
  3.002  5800         0.700V                                         S6 S
  3.003  MEMI         Enter CH[M100] Mean in millivolts.
# Store positive reading.
  3.004  MATH         M[1] = MEM / 1e3
  3.005  5800         -0.700V                                        S6 S
  3.006  MEMI         Enter CH[M100] Mean in millivolts.
# Store negative reading.
  3.007  MATH         M[2] = MEM / 1e3
# 5800A 90dy spec at 0.700V is 200uV.  Value is RSS'd for sys. tol.
  3.008  ACC          1.400V         0.000283U
  3.009  MATH         MEM = M[1] - M[2]
  3.010  MEMCX        1.400V         0.049U

  4.001  DISP         Set CH[M100] VOLTS/DIV to 2V.
  4.002  5800         7.00V                                          S6 S
  4.003  MEMI         Enter CH[M100] Mean in volts.
# Store the positive reading
  4.004  MATH         M[1] = MEM
  4.005  5800         -7.00V                                         S6 S
  4.006  MEMI         Enter CH[M100] Mean in volts.
# Store the positive reading
  4.007  MATH         M[2] = MEM
# 5800A 90dy spec at 7.00V is 1.775mV.  Value is RSS'd for sys. tol.
  4.008  ACC          14.00V         0.00251U
  4.009  MATH         MEM = M[1] - M[2]
  4.010  MEMCX        14.00V         0.49U
  5.001  END

  5.002  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) Bandwidth /5800  =================================

  6.001  LABEL        BANDWIDTH
  6.002  RSLT         =
  6.003  HEAD         ANALOG BANDWIDTH CHECK: Channel [M100]
  6.004  RSLT         =ANALOG BANDWIDTH CHECK: Channel [M100]
  6.005  TARGET
  6.006  DISP         Press SAVE/RECALL->Recall Factory
  6.007  JMPL         CONTINUE_BW  M[100] == 1
  6.008  DISP         Press CH 1 twice to turn off channel 1.
  6.009  DISP         Press TRIGGER.
  6.009  DISP         Set Source to CH[M100].

  6.010  LABEL        CONTINUE_BW
  6.011  DISP         Press CH [M100].
  6.011  DISP         Set probe to 1X.
  6.012  DISP         Press TRIGGER.
  6.012  DISP         Set Coupling to Noise Reject.
  6.013  DISP         Press MEASURE.
  6.013  DISP         Set Source to CH[M100].
  6.013  DISP         Set Type to Pk-Pk.
  6.014  DISP         Set CH[M100] VOLTS/DIV to 500mV.
  6.014  DISP         Set SEC/DIV to 10us.
  6.015  MESS         Adjust stimulus so the peak-to-peak measurement is
  6.015  MESS         between 2.98 and 3.02V.
  6.016  5800         3.00Vpp                      50kH           LS S6 N  L
  6.017  MESS
  6.018  JMPL         100MHZ_BW  M[102] == 100

  6.019  5800         Vpp                          60MH           LS S6 S  L
  6.020  JMPL         CONTINUE_BANDWIDTH

  6.021  LABEL        100MHZ_BW
  6.022  5800         Vpp                          100MH          LS S6 S  L

  6.023  LABEL        CONTINUE_BANDWIDTH
  6.024  DISP         Set SEC/DIV to 10ns.
  6.025  MEMI         Enter CH[M100] Pk-Pk in volts.
  6.026  MATH         S[1] = FMT(MEM, "%4.2f")
  6.027  MATH         S[2] = FMT(M[102], "%3.0f")
  6.028  EVAL   -e MEM >= 2.12 : [S1]Vpp @ [S2]MHz, Limit: >=2.12Vpp
  7.001  END

  7.002  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) Timebase /5800  ==================================

  8.001  LABEL        TIMEBASE
  8.002  RSLT         =
  8.003  HEAD         TIME BASE SYSTEM CHECKS
  8.004  TARGET
  8.005  DISP         Press SAVE/RECALL->Recall Factory
  8.006  DISP         Press CH1.
  8.006  DISP         Set probe to 1X.
  8.007  DISP         Set CH1 VOLTS/DIV to 500mV.
  8.007  DISP         Set SEC/DIV to 1ms.
  8.008  5800         10mT                                        M1 S6 S  L
  8.009  DISP         Press SET LEVEL TO 50%.
  8.010  DISP         Use the CH1 VERTICAL POSITION control to center
  8.010  DISP         the test signal on screen.
  8.011  DISP         Press HORIZONTAL MENU->Window.
  8.011  DISP         Set Window SEC/DIV to 500us.
  8.012  DISP         Use the HORIZONTAL POSITION control to set the
  8.012  DISP         window position to 10.00ms.
  8.013  DISP         Set Window SEC/DIV to 500ns.
  8.014  MESS         Does the rising edge of the marker cross the center
  8.014  MESS         horizontal graticule line within +/-2 divisions of
  8.015  EVAL   -s "TIME BASE SYSTEM CHECKS" :
  9.001  EVAL
 10.001  MESS
 10.002  END

 10.003  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) Trigger /5800  ===================================

 11.001  LABEL        TRIGGER
 11.002  HEAD         TRIGGER SYSTEM CHECKS: Channel [M100]
 11.003  RSLT         =TRIGGER SYSTEM CHECKS: Channel [M100]
 11.004  TARGET
 11.005  LABEL        INTERNAL_TRIGGER
 11.006  DISP         Press SAVE/RECALL->Recall Factory
 11.007  JMPL         CONTINUE_TRIG  M[100] == 1
 11.008  DISP         Press CH 1 twice to turn off channel 1.
 11.009  DISP         Press TRIGGER.
 11.009  DISP         Set Source to CH[M100].

 11.010  LABEL        CONTINUE_TRIG
 11.011  DISP         Press CH [M100].
 11.011  DISP         Set probe to 1X.
 11.012  DISP         Press TRIGGER.
 11.012  DISP         Set Mode to Normal.
 11.013  DISP         Press MEASURE.
 11.013  DISP         Set Source to CH[M100].
 11.013  DISP         Set Type to Pk-Pk.
 11.014  DISP         Set CH[M100] VOLTS/DIV to 500mV.
 11.014  DISP         Set SEC/DIV to 10ns.
 11.015  MESS         Adjust stimulus so the peak-to-peak measurement is
 11.015  MESS         approximately 750mV (The measured amplitude can.
 11.015  MESS         fluctuate around 750mV).
 11.016  MATH         MEM = M[102]
 11.017  5800         750mVpp                      MH             LS S6 N  L
 11.018  MESS
# Save amplitude negative slope test.
 11.019  MATH         M[1] = MEM
 11.020  DISP         Press SET LEVEL TO 50%.
 11.021  MATH         MEM2 = "+ Slope"
 11.022  EVAL   -s MEM2 : Can TRIGGER LEVEL be adjusted for a stable display?
 12.001  DISP         Press TRIGGER.
 12.001  DISP         Set Slope to Falling.
 12.002  MATH         MEM = M[1]
 12.003  JMPL         100MHZ_TRIG  M[102] == 100

 12.004  5800         mVpp                         60MH           LS S6 S  L
 12.005  JMPL         CONTINUE_TRIG_NEG_SLOPE

 12.006  LABEL        100MHZ_TRIG
 12.007  5800         mVpp                         100MH          LS S6 S  L

 12.008  LABEL        CONTINUE_TRIG_NEG_SLOPE
 12.009  DISP         Press SET LEVEL TO 50%.
 12.010  MATH         MEM2 = "- Slope"
 12.011  EVAL   -s MEM2 : Can TRIGGER LEVEL be adjusted for a stable display?
 13.001  END

 13.002  EVAL   Increment test number

# =====  Sub TDS2xx (1 yr) Ext Trig /5800  ==================================

 14.001  LABEL        EXT_TRIG
 14.002  RSLT         =
 14.003  HEAD         {TRIGGER SYSTEM EXTERNAL TRIGGER}
 14.004  TARGET
 14.005  DISP         Press SAVE/RECALL->Recall Factory
 14.006  DISP         Press CH1.
 14.006  DISP         Set probe to 1X.
 14.007  DISP         Press TRIGGER.
 14.007  DISP         Set Source to Ext.
 14.007  DISP         Set Mode to Normal.
 14.008  DISP         Press MEASURE.
 14.008  DISP         Set Type to Pk-Pk.
 14.009  DISP         Set CH[M100] VOLTS/DIV to 500mV.
 14.009  DISP         Set SEC/DIV to 10ns.
 14.010  MESS         Adjust stimulus so the peak-to-peak measurement is
 14.010  MESS         approximately 750mV (The measured amplitude can.
 14.010  MESS         fluctuate around 750mV).
 14.011  MATH         MEM = M[102]
 14.012  5800         750mVpp                      MH             LS S6 N  L
 14.013  MESS
# Save amplitude negative slope test.
 14.014  MATH         M[1] = MEM
 14.015  DISP         Press SET LEVEL TO 50%.
 14.016  MATH         MEM2 = "+ Slope"
 14.017  EVAL   -s MEM2 : Can TRIGGER LEVEL be adjusted for a stable display?
 15.001  DISP         Press TRIGGER.
 15.001  DISP         Set Slope to Falling.
 15.002  MATH         MEM = M[1]
 15.003  JMPL         100MHZ_EXT  M[102] == 100

 15.004  5800         mVpp                         60MH           LS S6 S  L
 15.005  JMPL         CONTINUE_EXT_NEG_SLOPE

 15.006  LABEL        100MHZ_EXT
 15.007  5800         mVpp                         100MH          LS S6 S  L

 15.008  LABEL        CONTINUE_EXT_NEG_SLOPE
 15.009  DISP         Press SET LEVEL TO 50%.
 15.010  MATH         MEM2 = "- Slope"
 15.011  EVAL   -s MEM2 : Can TRIGGER LEVEL be adjusted for a stable display?
 16.001  END
